﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using System.ComponentModel;

namespace GridCrashingOnCollectionChanged
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }



        private void OnGetData(object sender, RoutedEventArgs e)
        {
            var data = new List<Model>();

            for (int i = 0; i < 30; i++)
            {
                data.Add(Model.CreateModel());
            }


            var collectionViewSource = new CollectionViewSource();
            collectionViewSource.Source = data;
            grid.ItemsSource = collectionViewSource.View;
        }

        private void OnRefresh(object sender, RoutedEventArgs e)
        {
            ((ICollectionView)grid.ItemsSource).Refresh();
        }
    }
}
